Subject: Re: Git feature request: mark a commit as minor

From: Felipe Micaroni Lalli <[email-masked]>
Date: Sat, 3 Oct 2015 16:52:45 -0300

You are right. It could be useful to fix old commits (already pushed)
but it could encourage bad practices. Minor changes should be avoided,
it is an exception, not a rule.

Thank you Fredrik.

On 03/10/2015 15:12, Fredrik Gustafsson wrote:
> On Fri, Oct 02, 2015 at 06:38:46PM -0300, Felipe Micaroni Lalli wrote:
>> A minor change (also called "cosmetic") usually is a typo fix, doc
>> improvement, a little code refactoring that don't change the behavior etc.
>>
>> In Wikipedia we can mark an edition as "minor".
>>
>> It would be nice to have an argument like "--minor" in git-commit to
>> mark the commit as minor. Also, filter in git-log (like --hide-minor) to
>> hide the minor changes. The git-log could be optimized to show minor
>> commits more discreetly.
> 
> I can see your problem and implement your suggest is a solution that
> would work. However since this is a common problem, git already has a
> solution, that is the interactive rebase.
> 
> You can read a discussion about when to use merge and rebase here:
> http://www.mail-archive.com/[email-masked]/msg39091.html
> 
> This work method make the "minor" commits to go away. There shouldn't be
> any minor, or "fixup" commits in your history (of course there's
> exception).
> 
> Minor things should be caught in your code review process and then
> fixed, rebased and the merged again.
> 
> Or do I miss a usecase here?
>